Mediawiki "umgänglicher" machen

Shanai

Cadet 3rd Year
Dabei seit
Jan. 2010
Beiträge
51
Hallo Leute,

für unsere Firma habe ich das Intranet auf Basis von Mediawiki erstellt. Es ist noch nicht eingeführt, aber ich denke, dass das Mediawiki doch ein bisschen kompliziert ist für unsere User um Inhalte einzupflegen und zu formatieren (vor allem Tabellen...). Deswegen bin ich auf der Suche nach irgendetwas, vielleicht einer Extension, die den Umgang bei der Formatierung erleichert.

Hat jemand einen guten Vorschlag für mich?!

Danke für die Hilfe!

lg
Shanai
 

Shanai

Cadet 3rd Year
Ersteller dieses Themas
Dabei seit
Jan. 2010
Beiträge
51
Hi,

vielen Dank für deine Vorschläge, ich finde den FCKeditor echt super, aber irgendwie funktioniert das bei mir nicht so recht,... ich weiß nicht, was ich falsch mache! Ich habe den Ordner http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/FCKeditor/ in meinen Extensions-Ordner kopiert. Wie in der Anleitung auch beschrieben die passende Zeile in der localsetting.php geschrieben. Aber wenn ich die Wiki-Seite aufrufe, kommt folgende Meldung:

Fatal error: Class 'FCKeditor' not found in /var/lib/mediawiki/extensions/FCKeditor/FCKeditor.php on line 91
Was mach ich nur falsch?!
 

Shanai

Cadet 3rd Year
Ersteller dieses Themas
Dabei seit
Jan. 2010
Beiträge
51
Ja, eigentlich schon!? Also bis jetzt gabs zumindest keine probleme mit dem hinzufügen von extensions
 

surtic

Commander
Dabei seit
Dez. 2007
Beiträge
2.053
Und die FCKeditor.php ist wirklich in /var/lib/mediawiki/extensions/FCKeditor/FCKeditor.php ? Eventuell ist es nochmals in einem Unterordner vom Entpacken oder so?
 

Shanai

Cadet 3rd Year
Ersteller dieses Themas
Dabei seit
Jan. 2010
Beiträge
51
Ne hab ja die Ordner 1zu1 von Hand erstellt mit den Dateien und die Inhalte rüberkopiert von der Seite... ich verstehs nicht...

Also ich hab jetzt mal im Internet geschaut und folgendes gefunden:
https://bugzilla.wikimedia.org/show_bug.cgi?id=23196
Aber ich versteh das nicht wirklich... wieso soll das nicht funktionieren?! Vielleicht ist mein Englisch auch einfach zu schlecht um das zu verstehen... :-(
 

surtic

Commander
Dabei seit
Dez. 2007
Beiträge
2.053
Welche Version von MediaWiki hast du am laufen? Anscheinend läuft die Extension nicht mit jeder Version dies kann ja verschiedene gründe haben.
 

Shanai

Cadet 3rd Year
Ersteller dieses Themas
Dabei seit
Jan. 2010
Beiträge
51
* MediaWiki 1.12.0
* PHP 5.2.6-1+lenny9 (apache2handler)
* MySQL 5.0.51a-24+lenny4
 

surtic

Commander
Dabei seit
Dez. 2007
Beiträge
2.053
Na da haben wir denke ich mal das Problem, dein MediaWiki 1.12.0 kommt eben nicht mit dem neueren Plugin zurecht das ja für das MediaWiki 1.16.0 ist in etwa.

Also entweder Updatest du dein MediaWiki oder du geht zu einer Älteren Revision von deinem Plugin zurück.
 
Top